View Issue Details

IDProjectCategoryView StatusLast Update
0009719ScribusGeneralpublic2018-03-22 12:56
Reporteralienpriv Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
PlatformGnomeOSUbuntuOS Version10.04
Product Version1.5.0svn 
Target Version1.5.4Fixed in Version 
Summary0009719: Palettes/Windows position not saved after restart (or even in the same session)
DescriptionI'm using 2 monitors with extended desktop. When exiting Scribus, it doesn't save position of properties window, pages window, align and distribute window etc.

Edit:
GarryP adds in 0009719:0040567:
Also, after moving the main window to the second screen, some dialogs - for example, the Node Editor and the Style Manager, I haven't checked them all - insist on opening on the main screen even after being moved to the second screen. In other words, open the Node Editor, move it to the second screen, do some editing, close the dialog, re-open the Node Editor and it's back on the main screen again.
Tagsdual-monitor, indigodock, workflow
PatchNo

Relationships

related to 0011544 closedfschmid Docked palettes position / size is not saved between sessions. 
related to 0009707 closed Problems while using 2 monitors; Scribus with non-default Monitor 
has duplicate 0010381 closedjghali Problem with dual monitors - Scribus 1.4 RC6 
has duplicate 0009061 closed Dialog X-positions are not saved correctly when using two screens 
related to 0011511 closed "Corner Toolbar" visibility state amnesia 
related to 0010623 closedcbradney OSX Dual Screen bug: Starting Scribus results in the Properties Window being displayed with a position of -1280 
related to 0013978 assignedcbradney Regression: Docked palettes position is not saved between sessions (0011544

Activities

alienpriv

2011-02-01 20:28

reporter   ~0025514

I've got the same problem under windows. It seems that it may be related to a dual screen configuration, because I'm using 2 screens under Linux and Windows.

ale

2011-02-02 12:33

manager   ~0025517

there was fix some time ago to ensure that the palettes are at a sane position...

... it may be that the checks are a bit too strict...

JLuc

2011-08-24 14:12

developer   ~0026776

Same pb with me. It'd be great when the windows position would be restored.
I use 2 screen aswell.

Hans-Karl

2013-05-26 07:37

reporter  

Before.png (119,454 bytes)
Before.png (119,454 bytes)

Hans-Karl

2013-05-26 07:37

reporter  

After.png (80,522 bytes)
After.png (80,522 bytes)

Hans-Karl

2013-05-26 07:38

reporter   ~0030178

Still present in Scribus 1.4.2. I re-upload screenshots from 1.4.0 rc6 (same aspect).

Kunda

2016-02-27 13:23

manager   ~0038916

jluc, since you mentioned you have 2 screens, is this bugs still present ?

plinnell

2016-04-24 03:43

viewer   ~0040424

The bug is still there under KDE4 and openSUSE 13.2

Kunda

2016-04-24 13:03

manager   ~0040439

Thanks plinnell.
Also closing duplicate ticket 0009061

Kunda

2016-04-24 13:05

manager   ~0040441

Related: 0009707

GarryP

2016-04-28 08:02

developer   ~0040567

Just to update (I was looking for a fix and found this ticket), on Windows 10 with Scribus 1.4.6 this problem is also evident.

Also, after moving the main window to the second screen, some dialogs - for example, the Node Editor and the Style Manager, I haven't checked them all - insist on opening on the main screen even after being moved to the second screen. In other words, open the Node Editor, move it to the second screen, do some editing, close the dialog, re-open the Node Editor and it's back on the main screen again.

Kunda

2016-04-28 13:13

manager   ~0040572

GarryP, thanks for the feedback :)
Most likely this issue also would seem to exist on OSX.

Kunda

2016-05-15 23:22

manager   ~0041120

Last edited: 2016-05-15 23:24

View 2 revisions

I've updated the severity to major especially in leu of GarryP's comment: 0009719:0040567

updated the summary name as well

GarryP

2016-05-16 08:35

reporter   ~0041128

Last edited: 2016-05-16 11:39

View 3 revisions

The following presents a worse problem:

Set-up:

Laptop screen is set as main screen (screen 1), and monitor (screen 2) extends the usable area above screen 1.

Situation:

Open Scribus. Drag the main window and the PP, Align and Layers dialogs "up" to screen 2. Work on document as usual. Close Scribus.

Problem:

Open Scribus. The PP, Align and Layers dialogs have moved back to screen 1 (all shifted to the left of the screen) and the New Document dialog is shown (on screen 1) but the main window is missing from both screens (even after passing through the New Document dialog).

Workaround:

With Scribus as the application with focus, press Alt+Space, then M (to enter the Move function), then press a cursor key (to "grab" the window), then drag the mouse up (without clicking) to reveal the main window coming up from below the lower screen (screen 1).

It only takes a few seconds to get things looking right again but if you don't know the Windows keyboard shortcuts for moving windows around then you can't use the application anymore. (I've not found any other way of getting the main window back).

namenickname

2018-03-22 12:56

reporter   ~0045075

Windows 10 x64
Scribus 1.4.6 (C-*-T-*-C1.8.6-Windows)

Dual monitors (both 1920x1080) with share screen.

All like in Hans-Karl PNGs - inside 1 main monitor all windows saves their positions, but if placed in second monitor - after Scribus restart all windows in one place - right side of 1 main monitor.

Issue History

Date Modified Username Field Change
2011-01-30 10:33 alienpriv New Issue
2011-02-01 20:28 alienpriv Note Added: 0025514
2011-02-02 12:33 ale Note Added: 0025517
2011-08-24 14:12 JLuc Note Added: 0026776
2011-11-15 21:14 jghali Relationship added has duplicate 0010381
2013-05-26 07:37 Hans-Karl File Added: Before.png
2013-05-26 07:37 Hans-Karl File Added: After.png
2013-05-26 07:38 Hans-Karl Note Added: 0030178
2014-07-07 13:25 Kunda Tag Attached: dual-monitor
2014-07-07 13:38 Kunda Target Version => 1.5.1
2014-07-07 20:51 Kunda Status new => confirmed
2015-04-15 17:56 JLuc Relationship added related to 0011544
2016-01-23 17:17 cbradney Target Version 1.5.1 => 1.5.3
2016-02-27 13:07 Kunda Relationship added related to 0011511
2016-02-27 13:18 Kunda Relationship added related to 0009061
2016-02-27 13:23 Kunda Note Added: 0038916
2016-02-27 13:29 Kunda Relationship added related to 0010623
2016-04-24 03:43 plinnell Note Added: 0040424
2016-04-24 13:01 Kunda Relationship replaced has duplicate 0009061
2016-04-24 13:03 Kunda Note Added: 0040439
2016-04-24 13:05 Kunda Note Added: 0040441
2016-04-24 13:05 Kunda Relationship added related to 0009707
2016-04-28 08:02 GarryP Note Added: 0040567
2016-04-28 13:13 Kunda Note Added: 0040572
2016-05-04 05:29 Kunda Relationship added related to 0013978
2016-05-04 06:47 Kunda Patch => No
2016-05-04 06:47 Kunda Summary Windows position not saved => Palettes/Windows position not saved after restart
2016-05-15 23:21 Kunda Tag Attached: workflow
2016-05-15 23:21 Kunda Severity minor => major
2016-05-15 23:22 Kunda Note Added: 0041120
2016-05-15 23:23 Kunda Description Updated View Revisions
2016-05-15 23:23 Kunda Summary Palettes/Windows position not saved after restart => Palettes/Windows position not saved after restart (or even in the same session)
2016-05-15 23:24 Kunda Note Edited: 0041120 View Revisions
2016-05-16 08:35 GarryP Note Added: 0041128
2016-05-16 08:37 GarryP Note Edited: 0041128 View Revisions
2016-05-16 11:39 GarryP Note Edited: 0041128 View Revisions
2016-05-16 13:49 jghali Severity major => minor
2016-11-12 11:58 Kunda Description Updated View Revisions
2016-12-02 20:51 Kunda Tag Attached: indigodock
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4
2018-03-22 12:56 namenickname Note Added: 0045075